darcs-2.18.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Effect

Synopsis

- class Effect (p :: Type -> Type -> Type) where
  - effect :: p wX wY -> FL (PrimOf p) wX wY

# Documentation

class Effect (p :: Type -> Type -> Type) where #

Patches whose concrete effect can be expressed as a list of primitive patches.

A minimal definition would be either of `effect` or `effectRL`.

Methods

effect :: p wX wY -> FL (PrimOf p) wX wY #

#### Instances

Instances details

Effect p => Effect (Named p) # |
Instance details Defined in Darcs.Patch.Named Methods effect :: Named p wX wY -> FL (PrimOf (Named p)) wX wY #
Effect p => Effect (PatchInfoAndG p) # |
Instance details Defined in Darcs.Patch.PatchInfoAnd Methods effect :: PatchInfoAndG p wX wY -> FL (PrimOf (PatchInfoAndG p)) wX wY #
Effect p => Effect (WithDroppedDeps p) # |
Instance details Defined in Darcs.Patch.Rebase.Change Methods effect :: WithDroppedDeps p wX wY -> FL (PrimOf (WithDroppedDeps p)) wX wY #
PrimPatch prim => Effect (RepoPatchV1 prim) # |
Instance details Defined in Darcs.Patch.V1.Commute Methods effect :: RepoPatchV1 prim wX wY -> FL (PrimOf (RepoPatchV1 prim)) wX wY #
PrimPatch prim => Effect (RepoPatchV2 prim) # |
Instance details Defined in Darcs.Patch.V2.RepoPatch Methods effect :: RepoPatchV2 prim wX wY -> FL (PrimOf (RepoPatchV2 prim)) wX wY #
Effect p => Effect (FL p) # |
Instance details Defined in Darcs.Patch.Effect Methods effect :: FL p wX wY -> FL (PrimOf (FL p)) wX wY #
Effect p => Effect (RL p) # |
Instance details Defined in Darcs.Patch.Effect Methods effect :: RL p wX wY -> FL (PrimOf (RL p)) wX wY #
Effect (RepoPatchV3 name prim) # |
Instance details Defined in Darcs.Patch.V3.Core Methods effect :: RepoPatchV3 name prim wX wY -> FL (PrimOf (RepoPatchV3 name prim)) wX wY #